Package org.eclipse.net4j.util.ui.chat

# Class ChatRenderer.Factory

java.lang.Object
org.eclipse.net4j.util.factory.Factory
org.eclipse.net4j.util.ui.chat.ChatRenderer.Factory

All Implemented Interfaces:
  `IFactory`, `IFactoryKeyAware`

Enclosing class:
  `ChatRenderer`

public static class ChatRenderer.Factory extends Factory

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_TYPE`
`static final String`
`PRODUCT_GROUP`

### Fields inherited from class org.eclipse.net4j.util.factory.Factory

`NO_DESCRIPTION`

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`Factory()`
`protected`
`Factory(String type)`

## Method Summary

Modifier and Type
Method
Description
`ChatRenderer`
`create(String description)`

### Methods inherited from class org.eclipse.net4j.util.factory.Factory

`getDescriptionFor, getFactoryKey, getKey, getProductGroup, getType, productCreationException, productCreationException, setFactoryKey, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PRODUCT_GROUP

public static final String PRODUCT_GROUP

See Also:
  - Constant Field Values

### DEFAULT_TYPE

public static final String DEFAULT_TYPE

See Also:
  - Constant Field Values

## Constructor Details

### Factory

protected Factory(String type)

### Factory

public Factory()

## Method Details

### create

public ChatRenderer create(String description) throws ProductCreationException

Throws:
  `ProductCreationException`